org.springframework.cloud.dataflow.server.db.migration

## Class AbstractBaselineCallback

- java.lang.Object
- - org.springframework.cloud.dataflow.common.flyway.AbstractCallback
  - - org.springframework.cloud.dataflow.server.db.migration.AbstractBaselineCallback

- All Implemented Interfaces:
    org.flywaydb.core.api.callback.Callback
  Direct Known Subclasses:
    Db2BeforeBaseline, MsSqlBeforeBaseline, MysqlBeforeBaseline, OracleBeforeBaseline, PostgresBeforeBaseline

      public abstract class AbstractBaselineCallback
      extends org.springframework.cloud.dataflow.common.flyway.AbstractCallback

  Base implementation for baselining schema setup.
  Author:
    Janne Valkealahti

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBaselineCallback(AbstractInitialSetupMigration initialSetupMigration)` Instantiates a new abstract baseline callback.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeAppRegistrationTable()` Change app registration table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeAuditRecordsTable()` Change audit records table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeStreamDefinitionsTable()` Change stream definitions table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeTaskDefinitionsTable()` Change task definitions table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `changeUriRegistryTable()` Change uri registry table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createIndexes()` Creates the indexes.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskDeploymentTable()` Create the task deployment table.
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `createTaskLockTable()` Creates the task lock table.
    `protected boolean` | `doTableExists(org.flywaydb.core.api.callback.Context context, String name)`
    `abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `dropIndexes()` Drop indexes.
    `List<org.springframework.cloud.dataflow.common.flyway.SqlCommand>` | `getCommands(org.flywaydb.core.api.callback.Event event, org.flywaydb.core.api.callback.Context context)`

    - ### Methods inherited from class org.springframework.cloud.dataflow.common.flyway.AbstractCallback

      `canHandleInTransaction, getCallbackName, handle, supports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBaselineCallback

          public AbstractBaselineCallback(AbstractInitialSetupMigration initialSetupMigration)

      Instantiates a new abstract baseline callback.
      Parameters:
        `initialSetupMigration` - the initial setup migration

  - ### Method Detail

    - #### getCommands

          public List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> getCommands(org.flywaydb.core.api.callback.Event event,
                                                                                               org.flywaydb.core.api.callback.Context context)

      Overrides:
        `getCommands` in class `org.springframework.cloud.dataflow.common.flyway.AbstractCallback`

    - #### doTableExists

          protected boolean doTableExists(org.flywaydb.core.api.callback.Context context,
                                          String name)

    - #### dropIndexes

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> dropIndexes()

      Drop indexes.
      Returns:
        the list of sql commands

    - #### changeAppRegistrationTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeAppRegistrationTable()

      Change app registration table.
      Returns:
        the list of sql commands

    - #### changeUriRegistryTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeUriRegistryTable()

      Change uri registry table.
      Returns:
        the list of sql commands

    - #### changeStreamDefinitionsTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeStreamDefinitionsTable()

      Change stream definitions table.
      Returns:
        the list of sql commands

    - #### changeTaskDefinitionsTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeTaskDefinitionsTable()

      Change task definitions table.
      Returns:
        the list of sql commands

    - #### changeAuditRecordsTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> changeAuditRecordsTable()

      Change audit records table.
      Returns:
        the list of sql commands

    - #### createIndexes

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createIndexes()

      Creates the indexes.
      Returns:
        the list of sql commands

    - #### createTaskLockTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskLockTable()

      Creates the task lock table.
      Returns:
        the list of sql commands

    - #### createTaskDeploymentTable

          public abstract List<org.springframework.cloud.dataflow.common.flyway.SqlCommand> createTaskDeploymentTable()

      Create the task deployment table.
      Returns:
        the list of sql commands

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.